[arch-commits] Commit in gnome-common/trunk (PKGBUILD automake-1.11.patch)

Jan de Groot jgc at archlinux.org
Sat Jun 6 18:22:00 EDT 2009


    Date: Saturday, June 6, 2009 @ 18:22:00
  Author: jgc
Revision: 41703

upgpkg: gnome-common 2.26.0-2
    Add support for automake 1.11 (FS#14922)

Added:
  gnome-common/trunk/automake-1.11.patch
Modified:
  gnome-common/trunk/PKGBUILD

---------------------+
 PKGBUILD            |    8 +++++---
 automake-1.11.patch |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-06 22:19:48 UTC (rev 41702)
+++ PKGBUILD	2009-06-06 22:22:00 UTC (rev 41703)
@@ -3,16 +3,18 @@
 
 pkgname=gnome-common
 pkgver=2.26.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Common development macros for GNOME2"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnome.org"
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('196daa38cb21d91da1d6ec085f1e158b')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2
+        automake-1.11.patch)
+md5sums=('196daa38cb21d91da1d6ec085f1e158b' '344e8fdeecd9dd489e5f5e7f76446ed8')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/automake-1.11.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Added: automake-1.11.patch
===================================================================
--- automake-1.11.patch	                        (rev 0)
+++ automake-1.11.patch	2009-06-06 22:22:00 UTC (rev 41703)
@@ -0,0 +1,32 @@
+From d0902887d6dac40dcc79f002a4bed2b492ad15d0 Mon Sep 17 00:00:00 2001
+From: Christian Persch <chpe at gnome.org>
+Date: Mon, 18 May 2009 13:02:38 +0000
+Subject: Support for automake 1.11
+
+---
+diff --git a/macros2/gnome-autogen.sh b/macros2/gnome-autogen.sh
+index ba61f82..940b7a8 100644
+--- a/macros2/gnome-autogen.sh
++++ b/macros2/gnome-autogen.sh
+@@ -316,12 +316,13 @@ AUTOHEADER=`echo $AUTOCONF | sed s/autoconf/autoheader/`
+ 
+ case $REQUIRED_AUTOMAKE_VERSION in
+     1.4*) automake_progs="automake-1.4" ;;
+-    1.5*) automake_progs="automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6 automake-1.5" ;;
+-    1.6*) automake_progs="automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6" ;;
+-    1.7*) automake_progs="automake-1.10 automake-1.9 automake-1.8 automake-1.7" ;;
+-    1.8*) automake_progs="automake-1.10 automake-1.9 automake-1.8" ;;
+-    1.9*) automake_progs="automake-1.10 automake-1.9" ;;
+-    1.10*) automake_progs="automake-1.10" ;;
++    1.5*) automake_progs="automake-1.11 automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6 automake-1.5" ;;
++    1.6*) automake_progs="automake-1.11 automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6" ;;
++    1.7*) automake_progs="automake-1.11 automake-1.10 automake-1.9 automake-1.8 automake-1.7" ;;
++    1.8*) automake_progs="automake-1.11 automake-1.10 automake-1.9 automake-1.8" ;;
++    1.9*) automake_progs="automake-1.11 automake-1.10 automake-1.9" ;;
++    1.10*) automake_progs="automake-1.11 automake-1.10" ;;
++    1.11*) automake_progs="automake-1.11" ;;
+ esac
+ version_check automake AUTOMAKE "$automake_progs" $REQUIRED_AUTOMAKE_VERSION \
+     "http://ftp.gnu.org/pub/gnu/automake/automake-$REQUIRED_AUTOMAKE_VERSION.tar.gz"
+--
+cgit v0.8.2



More information about the arch-commits mailing list